# Linux Credentials

## Requirements

Linux Control Center = 2.10.X or higher

## Overview

The Linux Control Center uses credentials saved in the Console to perform various tasks. These credentials can be managed on this screen.

This screen only lists credentials for Linux servers.

Microsoft Windows credentials are managed in this manual: <https://docs.linuxcontrolcenter.com.br/unmanaged_hosts/create_windows#cadastro-de-credencial-windows>

## Objective

The objective of this document is to demonstrate how to manage Linux credentials in the LCC console.

## Create Linux Credentials in the Console

### Basic Credential Information

1. Click **Config** in the LCC left side menu

   ![](/files/c92CYrW3uRE96JP1CfPx)
2. Click **Credential**.

   ![](/files/BTnwKC2FHNmRzfBsH9SD)
3. If a *Discover* was run with a local credential, it will be listed on this page. You can also create a new credential by clicking **Create**.

   ![](/files/GDMA7kvz7PqCVb95252U)

**Name:** Name to identify the credential.\
**Auth Type:** Choose the SSH authentication method, **Password** or **KEY**.\
**Username:** User to authenticate to the SSH of the Hosts.\
**Password:** User password for authentication.\
**Privilege Escalation:** Choose the privilege escalation method according to the credential permission.\
**Privilege Escalation Username**: User to escalate privilege, with rights to create accounts and edit Sudoers files, if necessary.\
**Privilege Escalation Password**: Password for the privileged user, if necessary.

### Privilege Escalation

```
![](/pt-br/images/configurations/credenciais/campos_para_preencher.png)
```

* It is essential to understand the privilege escalation step to enter the credentials correctly, since this step is very important during Discover, it is necessary to configure it correctly. See a summary of how each type of privilege escalation works.

**sudo without password**

* With this privilege escalation method, the user registered in the **Username** field must have permission to escalate directly to the root user, and it is necessary to fill in only the **Username** password in the **Password** field.

**sudo with password**

* With this privilege escalation method, the user registered in the **Username** field must also have permission to escalate privilege, however, in addition to the login user's password, it is also necessary to enter the privileged user's password in the **Privilege Escalation Password** field to escalate the privilege.

**None**

* Option used when the SSH connection credential also has sufficient permissions to create a local account and configure its SSH key (option generally used with the root user).

**su -**

* After logging in with the first user provided (username), switch directly to the privileged credential in **Privilege Escalation Username** with the password in **Privilege Escalation Password**.

### Save and Create Account

1. Click the **Save** button to create the credential in the Console

   ![](/files/C4WxBD2wWducU84U6iXI)

## Delete Credential from the Console

* Follow the steps below to delete the credential for accessing the Console servers.

1. Click on the desired Credential.

   ![](/files/1Tpw7yDBjOO5Ur6HrhbR)
2. Click the **Delete** button.

   ![](/files/HjnkAgHuDfBfdk7GWBPU)
3. Confirm the deletion by clicking **Agree.**

   ![](/files/c25ITQg0OjLjAsFi549L)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.linuxcontrolcenter.com.br/en/configs-integrations/configs/linux.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
